Attribute VB_Name = "modDefs"
Option Explicit
Option Compare Binary
Option Base 0


' Board struct
Public Type BoardType
    Occupied As Boolean
    Player As Byte
End Type

' Player struct
Public Type PlayerType
    Name As String
    Ip As String
    AI As Boolean
End Type


' Player constants
Public Const Player1 As Byte = 0
Public Const Player2 As Byte = 1
Public Const Blocked As Byte = 255
Public Const DefaultName1 As String = "Palladium"
Public Const DefaultName2 As String = "Exl"


' Color settings
Public ColorBackground As Long
Public ColorGrid As Long
Public ColorX As Long
Public ColorO As Long
Public ColorObstacle As Long
Public ColorHighlight As Long

' Board settings
Public BoardWidth As Integer
Public BoardHeight As Integer
Public CellSize As Integer
Public CellBorderSize As Integer
Public Obstacles As Integer
Public WinCells As Integer
Public RandomSeed As Double

' Debugging settings
Public WinDebug As Boolean

' Misc settinga
Public VersionString As String


' Board array
Public Board() As BoardType

' Player array
Public Player() As PlayerType


' Initialise setting variables to their defaults
Public Sub InitVariables()

    ' Color settings
    ColorBackground = RGB(31, 31, 31)
    ColorGrid = RGB(0, 0, 127)
    ColorX = RGB(127, 0, 0)
    ColorO = RGB(0, 127, 0)
    ColorObstacle = RGB(127, 127, 127)
    ColorHighlight = RGB(255, 255, 0)
        
    ' Board settings
    BoardWidth = 8
    BoardHeight = 8
    CellSize = 128
    CellBorderSize = 4
    Obstacles = 12
    WinCells = 4
    
    ' Debugging settings
    WinDebug = False
    
    ' Misc settings
    VersionString = "Version " & App.Major & "." & App.Minor & " Build " & App.Revision

End Sub
