Attribute VB_Name = "modUtil"
Option Explicit
Option Compare Binary
Option Base 0


' API sound constants
Private Const SND_SYNC = &H0            ' Play synchronously (default)
Private Const SND_ASYNC = &H1           ' Play asynchronously
Private Const SND_NODEFAULT = &H2       ' Silence not default, if sound not found
Private Const SND_MEMORY = &H4          ' lpszSoundName points to a memory file
Private Const SND_LOOP = &H8            ' Loop the sound until next sndPlaySound
Private Const SND_NOSTOP = &H10         ' Don't stop any currently playing sound
Private Const SND_PURGE = &H40          ' Purge non-static events for task
Private Const SND_APPLICATION = &H80    ' Look for application specific association
Private Const SND_NOWAIT = &H2000       ' Don't wait if the driver is busy
Private Const SND_ALIAS = &H10000       ' Name is a WIN.INI [sounds] entry
Private Const SND_FILENAME = &H20000    ' Name is a file name
Private Const SND_RESOURCE = &H40004    ' Name is a resource name or atom
Private Const SND_ALIAS_ID = &H110000   ' Name is a WIN.INI [sounds] entry identifier


' API function decalrations
Private Declare Function PlaySound Lib "winmm.dll" Alias "PlaySoundA" (ByVal lpszName As String, ByVal hModule As Long, ByVal dwFlags As Long) As Long


' Play a style sound
Public Sub PlayStyleSound(ByVal SoundFile As String)

    ' Exit if sounds are disabled
    If PlayStyleSounds = False Or BoardStyle = StyleNone Then Exit Sub
        
    ' Play the sound
    SoundFile = App.Path & "\styles\" & BoardStyle & "\" & SoundFile
    PlaySound SoundFile, App.hInstance, SND_ASYNC Or SND_FILENAME

End Sub
